Subject: Re: problem with cygtclsh80.exe
From: "S. L." <[email-masked]>
To: "A Roturier" <[email-masked]>
Cc: [email-masked]
Date: Thu, 5 Jul 2001 15:18:58 +0200 (MEST)

> hi,
> 
> i am building ecos related stuff in cygwin under windows2k. i run across a
> 
> error like,
> 
> arm-elf-gcc -c
>
-DCHECKSUM=`//E/cygwin/ecos/packages/hal/arm/e7t/current/src/flash_cksum.tcl
> src/redboot_ncs.bin`  -I//E/cygwin/ecos/packages/test_install/include
> -I//E/cygwin/ecos/packages/hal/arm/e7t/current
> -I//E/cygwin/ecos/packages/hal/arm/e7t/current/src
> -I//E/cygwin/ecos/packages/hal/arm/e7t/current/tests -I.
> -I//E/cygwin/ecos/packages/hal/arm/e7t/current/src/ -mcpu=arm7tdmi
> -mno-short-load-words -Wall -Wpointer-arith -Wstrict-prototypes -Winline
> -Wundef -Woverloaded-virtual -g -O2 -ffunction-sections -fdata-sections
> -fno-rtti -fno-exceptions -fvtable-gc -finit-priority -o src/redboot.o
> //E/cygwin/ecos/packages/hal/arm/e7t/current/src/redboot_module.c
> couldn't read file
> "//E/cygwin/ecos/packages/hal/arm/e7t/current/src/flash_cksum.tcl": no
> such
> file or directory
> 
> //E/cygwin/ecos/packages/hal/arm/e7t/current/src/redboot_module.c:91:
> parse
> error before `,'
> make[1]: Leaving directory `/ecos/packages/test_build/hal/arm/e7t/current'
> make[1]: *** [//E/cygwin/ecos/packages/test_install/bin/redboot.bin] Error
> 1
> make: Leaving directory `/ecos/packages/test_build'
> make: *** [build] Error 2
> 
> i investigate to find the result..
> $ cd /e
> $ pwd
> /e
> $ ls -l cygwin/ecos/packages/hal/arm/e7t/current/src/flash_cksum.tcl
> -rwxr-xr-x    1 Administ None         6175 Apr  7 03:06
> cygwin/ecos/packages/hal/arm/e7t/current/src/flash_cksum.tcl
> $ cygtclsh80 cygwin/ecos/packages/hal/arm/e7t/current/src/flash_cksum.tcl
> usage: flash_cksum <file>
> $ ls -l //e/cygwin/ecos/packages/hal/arm/e7t/current/src/flash_cksum.tcl
> -rwxr-xr-x    1 Administ None         6175 Apr  7 03:06
> //e/cygwin/ecos/packages/hal/arm/e7t/current/src/flash_cksum.tcl
> $ cygtclsh80 
> //e/cygwin/ecos/packages/hal/arm/e7t/current/src/flash_cksum.tcl
> couldn't read file
> "//e/cygwin/ecos/packages/hal/arm/e7t/current/src/flash_cksum.tcl": no
> such 
> file or directory
> 
> it seems cygtclsh80.exe doesn't recognize the files with full path name?
> is that a known problem?

It is no problem -- it is just cygwin's tcl/tk, they are mingw versions :))
They are not linked against cygwin1.dll, so cygwin mounts and paths have no
meaning for them. You can change "//e/cygwin/ecos[the_rest_of_the_path]" with
"e:/cygwin/ecos[the_rest_of_the_path]" which are good filenames for them. 

> 
> regards,
> kc
> 
> 
> _________________________________________________________________________
> Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

                         SLao

-- 
Sent through GMX FreeMail - http://www.gmx.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/